importScripts("./lib/moment.min.js");
importScripts("./lib/sha.js");

importScripts("./controllers/SystemController.js");
importScripts("./controllers/OperatingSystems/CordovaSystemController.js");
    
importScripts("./connectors/ApiConnector.js");
importScripts("./services/BasicService.js");
importScripts("./services/RegisterService.js");
importScripts("./services/FileManagerService.js");
importScripts("./services/TransferService.js");
importScripts("./services/ManagerService.js");
importScripts("./services/StatisticService.js");

var transfer = false;
var manager = false;

self.addEventListener('message', function(e) {
    if(typeof(e.data.action) !== "undefined"){
        if(e.data.action == "update"){
            self.postMessage("heeeeeaaaa");
            updateTransfer(e.data.timestamp,e.data.archive);
        }
    }
}, false);


function updateTransfer(timestamp,archive){  
    if(!transfer){
        transfer = new TransferService();
        //transfer.activateLogger(true);
        transfer.is_worker = true;
        transfer.init();
    }
    transfer.update(timestamp,archive);
    if(!manager){
        manager = new ManagerService();
        manager.init();
    }
}
